%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name escape_utils

Summary: Faster string escaping routines for your web apps
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.0
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/brianmario/escape_utils
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby >= 1.9.3
BuildRequires: %{?scl_prefix}ruby-devel 
BuildRequires: %{?scl_prefix}rubygems-devel 
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Quickly perform HTML, URL, URI and Javascript escaping/unescaping.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build

# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%{gem_extdir_mri}
%{gem_instdir}/script
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/*gemspec
%{gem_instdir}/.*
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/benchmark
%{gem_instdir}/test

%changelog
* Thu Sep 10 2015 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-2
- Follow ruby packaging guideline to build/install

* Wed Aug 26 2015 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-1
- Build 1.1.0 for rh-ruby22
